Bug 1600504 - Bad license tag
Summary: Bad license tag
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-DateTime-Format-Builder
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-12 12:07 UTC by Petr Pisar
Modified: 2019-11-01 11:14 UTC (History)
3 users (show)

Fixed In Version: perl-DateTime-Format-Builder-0.8200-4.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-01 11:14:53 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
CPAN 125832 0 None None None 2018-07-12 12:07:35 UTC

Description Petr Pisar 2018-07-12 12:07:36 UTC
perl-DateTime-Format-Builder-0.8100 package delivers Tutorial.pod, MySQL.pm, and W3CDTF.pm files whose license declaration is:


Copyright (c) 2003 Kellan Elliott-McCrea.  All rights reserved.  This program
is free software; you can redistribute it and/or modify it under the
same terms as Perl itself.

The full text of the license can be found in the LICENSE file included
with this module.


That means they are "GPL+ or Artistic", but package license tag is "Artistic 2.0". Please change the license tag to "Artistic 2.0 and (GPL+ or Artistic)".

I also reported the discrepancy between the declaration and LICENSE content to the upstream <https://rt.cpan.org/Ticket/Display.html?id=125832>.

All Fedoras are affected.

Comment 1 Ben Cotton 2018-11-27 15:00:10 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-05-02 20:15:34 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Petr Pisar 2019-05-03 10:57:38 UTC
DateTime-Format-Builder-0.82 has lib/DateTime/Format/Builder/Tutorial.pod with Artistic 2.0 license, but examples/W3CDTF.pm and examples/MySQL.pm are still "same terms as Perl itself".

Comment 4 Ben Cotton 2019-10-31 19:24:42 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Paul Howarth 2019-10-31 20:21:23 UTC
Upstream doesn't seem terribly interested in fixing this.

Comment 6 Petr Pisar 2019-11-01 08:03:41 UTC
Despite that Fedora can and should correct the License tag to agree with the content. I recommend this change:

--- a/perl-DateTime-Format-Builder.spec
+++ b/perl-DateTime-Format-Builder.spec
@@ -5,7 +5,11 @@ Name:           perl-DateTime-Format-Builder
 Version:        0.8200
 Release:        3%{?dist}
 Summary:        Create DateTime parser classes and objects        
-License:        Artistic 2.0
+# examples/W3CDTF.pm:   GPL+ or Artistic
+# examples/MySQL.pm:    GPL+ or Artistic
+# lib/DateTime/Format/Builder.pm:   Artistic 2.0
+# LICENSE:      Artistic 2.0 text
+License:        Artistic 2.0 and (GPL+ or Artistic)
 URL:            https://metacpan.org/release/DateTime-Format-Builder            
 Source0:        https://cpan.metacpan.org/modules/by-module/DateTime/DateTime-Format-Builder-%{real_version}.tar.gz
 BuildArch:      noarch

Comment 7 Paul Howarth 2019-11-01 11:14:53 UTC
Done.


Note You need to log in before you can comment on or make changes to this bug.